<?php						
	// appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
	$i18n = $registry -> get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();
	
	//Verification champs requis
	function isRequired($cle,$elt){
		try{
			$rows= $cle->getElement($elt)->get('validators');
			for($i=0; $i < sizeof($rows); $i++){
				if(isset($rows[$i])){
					if($rows[$i] == "NotEmpty"){
						return true;
					}
				}
			}					
			throw new Exception("");
			return false;
		}catch(Exception $e){
			echo '';
		}
	}
?>

<h2 class="page-header">
	<?php echo $filter_no_html->filter( $i18n -> say('edit_form')).' '.$filter_no_html->filter( $i18n -> say('sitefouille')).' : '.
	$filter_no_html->filter($helper_form->getElement('nom')->get('value')) ; ?>
</h2>
<form method="post" name="form_sitefouille" action="" role="form" class="form-horizontal">	
	<fieldset>
		<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<!-- Panel Identification - Start -->
			<div id="panel_identification" class="panel panel-primary">
				<div class="panel-heading" role="tab" id="headingIdentification">
					<h4 class="panel-title">
						<span class="icon-address" aria-hidden="true"></span>&nbsp;
						<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseIdentification"
						   aria-expanded="true" aria-controls="collapseIdentification">
							<?php echo $filter_no_html->filter( $i18n -> say('identification') );?>
						</a>
					</h4>
				</div>
				
				<div id="collapseIdentification" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingIdentification">
					<div class="panel-body">							
						<div class="form-group field text" id="Fnom">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="nom">
								<?php echo $helper_form->getElement('nom')->get('label').' '.((isRequired($helper_form,"nom")) ? '*' : '');?> <em style="display: block"><?php echo $filter_no_html->filter( $i18n -> say('sitefouille') ); ?></em>
							</label>
							<div><?php echo $helper_form->getElement('nom')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fnomabrege">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="nomabrege">
								<?php echo $helper_form->getElement('nomabrege')->get('label').' '.((isRequired($helper_form,"nomabrege")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('nomabrege')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fnumerosite">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="numerosite">
								<?php echo $helper_form->getElement('numerosite')->get('label').' '.((isRequired($helper_form,"numerosite")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('numerosite')->getHtml();?></div>
						</div>
						
						<div class="form-group field textarea" id="Fdescription">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="description">
								<?php echo $helper_form->getElement('description')->get('label').' '.((isRequired($helper_form,"description")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('description')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fadresse">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="adresse">
								<?php echo $helper_form->getElement('adresse')->get('label').' '.((isRequired($helper_form,"adresse")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('adresse')->getHtml();?></div>
						</div>
											
						<div class="form-group field text" id="Fcommune">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="commune">
								<?php echo $helper_form->getElement('commune')->get('label').' '.((isRequired($helper_form,"commune")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('commune')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fdepartement">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="departement">
								<?php echo $helper_form->getElement('departement')->get('label').' '.((isRequired($helper_form,"departement")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('departement')->getHtml();?></div>
						</div>	
						
						<div class="form-group field text" id="Fanneecadastre">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="anneecadastre">
								<?php echo $helper_form->getElement('anneecadastre')->get('label').' '.((isRequired($helper_form,"anneecadastre")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('anneecadastre')->getHtml();?></div>
						</div>
						
						<div class="form-group field textarea" id="Fsectionparcelle">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="sectionparcelle">
								<?php echo $helper_form->getElement('sectionparcelle')->get('label').' '.((isRequired($helper_form,"sectionparcelle")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('sectionparcelle')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fproprietaire">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="proprietaire">
								<?php echo $helper_form->getElement('proprietaire')->get('label').' '.((isRequired($helper_form,"proprietaire")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('proprietaire')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fprotectionjuridique">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="protectionjuridique">
								<?php echo $helper_form->getElement('protectionjuridique')->get('label').' '.((isRequired($helper_form,"protectionjuridique")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('protectionjuridique')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fsurfaceestime">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="surfaceestime">
								<?php echo $helper_form->getElement('surfaceestime')->get('label').' '.((isRequired($helper_form,"surfaceestime")) ? '*' : '');?> <em style="display: block">m&sup2;</em>
							</label>
							<div><?php echo $helper_form->getElement('surfaceestime')->getHtml();?></div>
						</div>
						
						<div class="form-group field textarea" id="Fcommentaire">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="commentaire">
								<?php echo $helper_form->getElement('commentaire')->get('label').' '.((isRequired($helper_form,"commentaire")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('commentaire')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Flambert_x">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="lambert_x">
								<?php echo $helper_form->getElement('lambert_x')->get('label').' '.((isRequired($helper_form,"lambert_x")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('lambert_x')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Flambert_y">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="lambert_y">
								<?php echo $helper_form->getElement('lambert_y')->get('label').' '.((isRequired($helper_form,"lambert_y")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('lambert_y')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Faltitude">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="altitude">
								<?php echo $helper_form->getElement('altitude')->get('label').' '.((isRequired($helper_form,"altitude")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('altitude')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fdebutfin">
							<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" id="Fdatation_debut">
								<label class="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-label" for="datation_debut">
									<?php echo $helper_form->getElement('datation_debut')->get('label').' '.((isRequired($helper_form,"datation_debut")) ? '*' : '');?>
								</label>
								<div class="margedebdatation col-lg-4 col-md-6 col-sm-6 col-xs-6"><?php echo $helper_form->getElement('datation_debut')->getHtml();?></div>
							</div>
						
							<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" id="Fdatation_fin">
								<label class="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-label" for="datation_fin">
									<?php echo $helper_form->getElement('datation_fin')->get('label').' '.((isRequired($helper_form,"datation_fin")) ? '*' : '');?>
								</label>
								<div class="margedebdatation col-lg-4 col-md-6 col-sm-6 col-xs-6"><?php echo $helper_form->getElement('datation_fin')->getHtml();?></div>
							</div>	
						</div>			
					</div>	
				</div>
			</div>
			<!-- Panel Identification - End -->
		</div>
		<div>
			<input class="btn btn-primary" type="submit" value="<?php echo $filter_no_html->filter( $i18n -> say('save_form') ); ?>" />
			<a href="<?php echo $this->getRequest('Sitefouille', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a>
		</div>
	</fieldset>
</form>